Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Tue 21 Oct 2014, 18:08
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Browsers and Internet
Pidgin 2.10.0 and 2.10.5
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
Page 2 of 6 Posts_count   Goto page: Previous 1, 2, 3, 4, 5, 6 Next
Author Message
Makoto


Joined: 03 Sep 2009
Posts: 1797
Location: Out wandering... maybe.

PostPosted: Sat 12 Mar 2011, 19:42    Post_subject:  

Aside from the obvious (such as changing the references to 2.7.10 to 2.7.11, and commenting out the mkpkg line), are there any other changes I'd need to make to the script in the first post to have it work with Puppy 4.3.1?

...then again, maybe I could try compiling packages for the other 4.3.1 users... Smile

_________________
[ Puppy 4.3.1 JP, Frugal install | 1GB RAM | 1.3GB swap ] * My Pidgin Builds for Puppy 4.3.1+
In memory of our beloved American Eskimo puppy (1995-2010) and black Lab puppy (1997-2011).
Back to top
View user's profile Send_private_message 
dejan555


Joined: 30 Nov 2008
Posts: 2684
Location: Montenegro

PostPosted: Sun 13 Mar 2011, 13:03    Post_subject:  

Not sure Makoto, for 4.x I had to compile gnutls too, but as you already have them on system you might not need to do that again. You can try, if it throws error tell me what it was.
_________________


Back to top
View user's profile Send_private_message Visit_website MSNM 
Makoto


Joined: 03 Sep 2009
Posts: 1797
Location: Out wandering... maybe.

PostPosted: Mon 14 Mar 2011, 00:52    Post_subject:  

Okay, I'll try it as soon as I can get a chance. I take it I have to uninstall Pidgin, first, just to be on the safe side? (This time, not sure if I would have to do it if I build each new version... I'm using the v2.7.7 you built for 4.3.1, so there's a possibility of older files, if I don't uninstall, I guess.)
_________________
[ Puppy 4.3.1 JP, Frugal install | 1GB RAM | 1.3GB swap ] * My Pidgin Builds for Puppy 4.3.1+
In memory of our beloved American Eskimo puppy (1995-2010) and black Lab puppy (1997-2011).
Back to top
View user's profile Send_private_message 
dejan555


Joined: 30 Nov 2008
Posts: 2684
Location: Montenegro

PostPosted: Mon 14 Mar 2011, 03:19    Post_subject:  

I think you can just install over that.
_________________


Back to top
View user's profile Send_private_message Visit_website MSNM 
Makoto


Joined: 03 Sep 2009
Posts: 1797
Location: Out wandering... maybe.

PostPosted: Mon 14 Mar 2011, 03:29    Post_subject:  

Okay. I'm just paranoid-- er, concerned, (Razz) because I see support requests on the Pidgin mailing lists every once in a long while, where someone on a Linux setup is having problems because some part of their components is old/mismatched. I know that shouldn't happen as I'd basically be recompiling and reinstalling everything, but I am usually paranoid... er, concerned. Yeah. Smile

(Does any version of phpBB support strikeout, or is that for some other forum software? Bleah. Ruins the joke when you can't strikeout the word 'paranoid.' Very Happy I suppose I could do the old ^H joke, but I don't really want to do that. Rolling Eyes )

(...edit #2, because I just noticed WHAT number this post of mine is... Shocked (well, until I make another post, or Flash removes my spam report...))

_________________
[ Puppy 4.3.1 JP, Frugal install | 1GB RAM | 1.3GB swap ] * My Pidgin Builds for Puppy 4.3.1+
In memory of our beloved American Eskimo puppy (1995-2010) and black Lab puppy (1997-2011).
Back to top
View user's profile Send_private_message 
dejan555


Joined: 30 Nov 2008
Posts: 2684
Location: Montenegro

PostPosted: Wed 16 Mar 2011, 16:47    Post_subject:  

Added build for 4.3.1, see first post.
Makoto can maybe compile the next version when it gets released Smile

_________________


Back to top
View user's profile Send_private_message Visit_website MSNM 
chrismt


Joined: 21 Apr 2010
Posts: 255

PostPosted: Thu 07 Apr 2011, 10:16    Post_subject:  

Ping Laughing

I don't want this topic to go down the thread so I kinda 'Pinged' it

Ping...... Wink
Back to top
View user's profile Send_private_message 
abushcrafter


Joined: 30 Oct 2009
Posts: 1447
Location: England

PostPosted: Sat 09 Apr 2011, 15:24    Post_subject:  

Thanks.
_________________
adobe flash is rubbish!
My Quote:"Humans are stupid, though some are clever but stupid." http://www.dependent.de/media/audio/mp3/System_Syn_Heres_to_You.zip http://www.systemsyn.com/
Back to top
View user's profile Send_private_message Visit_website 
dejan555


Joined: 30 Nov 2008
Posts: 2684
Location: Montenegro

PostPosted: Thu 09 Jun 2011, 18:50    Post_subject:  

Updated to 2.8.0, compiled on lupu, see first post
EDIT: Also added package compiled on 4.3.1

_________________


Back to top
View user's profile Send_private_message Visit_website MSNM 
Makoto


Joined: 03 Sep 2009
Posts: 1797
Location: Out wandering... maybe.

PostPosted: Thu 09 Jun 2011, 23:30    Post_subject:  

I was still working on mine... Smile
_________________
[ Puppy 4.3.1 JP, Frugal install | 1GB RAM | 1.3GB swap ] * My Pidgin Builds for Puppy 4.3.1+
In memory of our beloved American Eskimo puppy (1995-2010) and black Lab puppy (1997-2011).
Back to top
View user's profile Send_private_message 
dejan555


Joined: 30 Nov 2008
Posts: 2684
Location: Montenegro

PostPosted: Fri 10 Jun 2011, 02:51    Post_subject:  

I tried to add dbus support for 4.3.1, I even compiled dbus but even after that it said it didn't find it on system. So I googled and added
DBUS_CFLAGS="-I/usr/include" DBUS_LIBS="-L/usr/lib"
to configure line, it found dbus this time, but make errored out on dbus anyway Confused

_________________


Back to top
View user's profile Send_private_message Visit_website MSNM 
Makoto


Joined: 03 Sep 2009
Posts: 1797
Location: Out wandering... maybe.

PostPosted: Fri 10 Jun 2011, 03:28    Post_subject:  

Huh. That's weird. I haven't tried it yet, myself... wonder if it could want more of a specific version of dbus. Probably not, though.
_________________
[ Puppy 4.3.1 JP, Frugal install | 1GB RAM | 1.3GB swap ] * My Pidgin Builds for Puppy 4.3.1+
In memory of our beloved American Eskimo puppy (1995-2010) and black Lab puppy (1997-2011).
Back to top
View user's profile Send_private_message 
tenochslb

Joined: 10 Jul 2010
Posts: 36
Location: Mexico

PostPosted: Mon 20 Jun 2011, 18:04    Post_subject: Thanks you for still working on 4.31  

Thanks for the support for 4.31. It really helps to us noobs. Thanks.
Back to top
View user's profile Send_private_message 
dejan555


Joined: 30 Nov 2008
Posts: 2684
Location: Montenegro

PostPosted: Mon 27 Jun 2011, 14:31    Post_subject:  

Makoto compiled new version 2.9.0 for 4.3.1 this version fixes potential security bug, see pidgin's changelog here:
http://developer.pidgin.im/wiki/ChangeLog

See first post for pet, I will also add build for lucid puppy later.

_________________


Back to top
View user's profile Send_private_message Visit_website MSNM 
tlchost

Joined: 05 Aug 2007
Posts: 1724
Location: Baltimore, Maryland USA

PostPosted: Mon 27 Jun 2011, 17:20    Post_subject: Re: Pidgin 2.9.0
Sub_title: Multiprotocol IM client
 

dejan555 wrote:
Build for puppy 4.3.1:

pidgin-2.9.0-i486-431.pet (Compiled by Makoto)


Thanks guys....works fine with Fluppy13.

Thom
Back to top
View user's profile Send_private_message Visit_website 
Display_posts:   Sort by:   
Page 2 of 6 Posts_count   Goto page: Previous 1, 2, 3, 4, 5, 6 Next
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Browsers and Internet
Jump to:  

Rules_post_cannot
Rules_reply_cannot
Rules_edit_cannot
Rules_delete_cannot
Rules_vote_cannot
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0707s ][ Queries: 13 (0.0088s) ][ GZIP on ]